summaryrefslogtreecommitdiff
path: root/dev-python/dill
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-01-28 09:49:49 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-01-28 09:49:49 +0000
commit943fdd0100f2d0ca460f6bb9799e119fbd77a2aa (patch)
tree5d4a27f122d2ea95a479fc05b7669ed89faa761c /dev-python/dill
parent3fba14f8e2c311e84e090f28f0bbf40b23ce16b2 (diff)
downloadbaldeagleos-repo-943fdd0100f2d0ca460f6bb9799e119fbd77a2aa.tar.gz
baldeagleos-repo-943fdd0100f2d0ca460f6bb9799e119fbd77a2aa.tar.xz
baldeagleos-repo-943fdd0100f2d0ca460f6bb9799e119fbd77a2aa.zip
Adding metadata
Diffstat (limited to 'dev-python/dill')
-rw-r--r--dev-python/dill/Manifest1
-rw-r--r--dev-python/dill/dill-0.3.8.ebuild23
2 files changed, 24 insertions, 0 deletions
diff --git a/dev-python/dill/Manifest b/dev-python/dill/Manifest
index 6c63d3bcc35a..69a2c780c83f 100644
--- a/dev-python/dill/Manifest
+++ b/dev-python/dill/Manifest
@@ -1 +1,2 @@
DIST dill-0.3.7.gh.tar.gz 176315 BLAKE2B 8c98c40458035e42c078c79df14e474c35a2a6ff4f61d3cfca8f4dfa5a7756512b7d5af6276becd88315c01d88c8562de02b6f9dff06d0161df3e6f6694c7cc8 SHA512 33ec55dc32c9ddf275ce6e502187949bbc7ecc6d24560e132a7bed23e93254b771d38e59c4b6313bbfc25313305c43c6cba2fe07763a93238e1ba66c4bbd8cd4
+DIST dill-0.3.8.tar.gz 184847 BLAKE2B 6a0eb76526d5bc4afa003f34454c3a93b2b53e2d5bd362749bfcc22c6fe294dff3af9d52e83b288e999d7074d82a2671b3d271b3b423030f4cfd57cd70acdc6f SHA512 478d83af69dc0639a08e011e46127d9485dc998df54622e7fbb9ce4b004640d1b23aad57717d791cc609cd9d7071ea7300bce4be982488e4d21c5986e67ce586
diff --git a/dev-python/dill/dill-0.3.8.ebuild b/dev-python/dill/dill-0.3.8.ebuild
new file mode 100644
index 000000000000..96901c3dbd67
--- /dev/null
+++ b/dev-python/dill/dill-0.3.8.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Serialize all of Python (almost)"
+HOMEPAGE="
+ https://github.com/uqfoundation/dill/
+ https://pypi.org/project/dill/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+python_test() {
+ "${EPYTHON}" -m dill.tests || die
+}